%define upstream_name Catalyst-Plugin-Authentication-Credential-PAM
%define upstream_version 0.01
%define abbrevname Catalyst-P-A-Credential-PAM

%{?perl_default_filter}

Name:		perl-%{abbrevname}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	Artistic/GPL
Group:		Development/Perl
Summary:	Authenticate a user against PAM
URL:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Authen::PAM)
BuildRequires:	perl(Catalyst)
Provides:	perl-%{upstream_name}
BuildArch:	noarch

%description
This is an authentication credential checker that verifies passwords
using a specified PAM service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Tue Nov 01 2022 umeabot <umeabot> 0.10.0-6.mga9
+ Revision: 1901139
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-5.mga8
+ Revision: 1493063
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1265957
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-3.mga6
+ Revision: 1023236
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 940460
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.01-11.mga5
+ Revision: 751019
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-10.mga5
+ Revision: 683788
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.01-9.mga4
+ Revision: 509730
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.01-8.mga3
+ Revision: 363925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.01-7.mga1
+ Revision: 40260
- mageia rebuild
- imported package perl-Catalyst-P-A-Credential-PAM

